
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

html{
  scroll-behavior:smooth;
}

body{
  font-family:'Poppins',sans-serif;
  background:#081B33;
  color:#fff;
  line-height:1.6;
}

.container{
  width:90%;
  max-width:1200px;
  margin:auto;
}

.header{
  position:fixed;
  width:100%;
  top:0;
  z-index:1000;
  background:rgba(8,27,51,0.95);
  backdrop-filter:blur(10px);
}

.nav{
  display:flex;
  justify-content:space-between;
  align-items:center;
  padding:20px 0;
}

.logo{
  font-size:28px;
  font-weight:700;
}

.logo span{
  color:#1D4ED8;
}
.logo img {
  width: 150px;
  height: auto;
}

.nav-links{
  display:flex;
  list-style:none;
  gap:30px;
}

.nav-links a{
  color:#fff;
  text-decoration:none;
}

.btn{
  background:#1D4ED8;
  color:#fff;
  padding:12px 24px;
  border-radius:8px;
  text-decoration:none;
  border:none;
  cursor:pointer;
  display:inline-block;
}
.btn:hover{
  background:#ffd633;
}

.btn-outline{
  border:2px solid #fff;
  color:#fff;
  padding:12px 24px;
  border-radius:8px;
  text-decoration:none;
}

.hero{
  height:150vh;
  background:#081B33;
  position:relative;
  display:flex;
  align-items:center;
}

.overlay{
  position:absolute;
  inset:0;
  background:rgba(0,0,0,0.65);
}

.hero-content{
  position:relative;
  z-index:2;
  max-width:700px;
}

.hero h1{
  font-size:60px;
  line-height:1.1;
  margin-bottom:20px;
}

.hero p{
  margin-bottom:30px;
  font-size:18px;
}

.hero-buttons{
  display:flex;
  gap:20px;
}

section{
  padding:100px 0;
}

.grid-2{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:50px;
}

.about-card,
.card,
.price-card,
.contact-form{
  background:#0A2342;
  padding:30px;
  border-radius:18px;
}

.about-card ul{
  margin-top:20px;
  padding-left:20px;
}

.section-title{
  text-align:center;
  margin-bottom:60px;
}

.cards{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:30px;
}
.pricing {
  background: #081B33;
}
.package-heading {
  margin-top: 70px;
  margin-bottom: 30px;
}

.package-heading h3 {
  font-size: 32px;
  color: #ffffff; 
}
.pricing-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:30px;
  margin-bottom: 50px;
}

.price-card{
  text-align:center;
  background: #0A2342;
  padding:40px 30px;
  border-radius:18px;
  transition: 0.3s ease;
  border: 1px solid rgba(255, 255, 255, 0.08);
}
.price-card:hover {
  transform: translateY(-10px);
}
.price-card h3{
  font-size:24px;
  margin-bottom:20px;
}

.featured{
  border:2px solid #1D4ED8;
  transform:scale(1.03);
}

.price-card h4{
  font-size:48px;
  color: var(--navy);
  margin-bottom:25px;
  font-weight: 700;
}
.featured{
  border:3px solid #1D4ED8;
}
.contact-form{
  display:flex;
  flex-direction:column;
  gap:20px;
}

.contact-form input,
.contact-form textarea{
  padding:15px;
  border:none;
  border-radius:8px;
}

.footer{
  text-align:center;
  padding:30px 0;
  background:#061527;
}

@media(max-width:900px){

  .grid-2{
    grid-template-columns:1fr;
  }

  .hero h1{
    font-size:42px;
  }

  .nav-links{
    display:none;
  }
}
.social-icons {
  display: flex;
  gap: 20px;
  margin-top: 30px;
}
.social-icons a {
  color: black;
  font-size: 40px;
  transition: color 0.3s ease;
}
.social-icons a:hover {
  color: #1D4ED8;
  transform: translateY(-5px);
} 
.contact-details {
  margin-top: 30px;
}
.contact-details p {
  font-size: 18px;
  margin-bottom: 20px;
  display: flex;
  align-items: center;
  gap: 15px;
  color: #ffffff;
}
.contact-details i {
  font-size: 18px;
  color: #061527;
  height: 40px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #061527;
  border-radius: 50%;
}


/* GALLERY */

.gallery{
  padding:100px 0;
  background:#081B33;
}

.gallery-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
  gap:25px;
}

.gallery-item{
  overflow:hidden;
  border-radius:20px;
  cursor:pointer;
}

.gallery-item img{
  width:100%;
  height:300px;
  object-fit:cover;
  display:block;
  transition:0.4s ease;
}

.gallery-item img:hover{
  transform:scale(1.08);
}

/* LIGHTBOX */

#lightbox{
  position:fixed;
  inset:0;
  background:rgba(0,0,0,0.9);
  display:none;
  justify-content:center;
  align-items:center;
  z-index:9999;
}

#lightbox img{
  max-width:90%;
  max-height:85vh;
  border-radius:20px;
}

.close-btn{
  position:absolute;
  top:30px;
  right:40px;
  color:#fff;
  font-size:50px;
  cursor:pointer;
}